## eject-2.1.4.tar.gz

=== po/Makefile ===
PKGNAME=eject
PREFIX=$(DESTDIR)/usr
INSTALL = install
MODIR = $(PREFIX)/share/locale
POTFILES = ../*.c ../*.h
POFILES= de.po es.po fr.po ja.po tr.po zh_TW.po

all:

fix-po-files:
	mv de_DE.po de.po
	mv es_ES.po es.po
	mv fr_FR.po fr.po
	mv ja_JP.eucJP.po ja.po
	mv tr_TR.po tr.po
	mv zh_TW.UTF-8.po zh_TW.po

restitute-po-files:
	mv de.po de_DE.po
	mv es.po es_ES.po
	mv fr.po fr_FR.po
	mv ja.po ja_JP.eucJP.po
	mv tr.po tr_TR.po
	mv zh_TW.po zh_TW.UTF-8.po

mo:
	files='$(POFILES)'; \
	for file in $$files;do \
	  echo compiling $$LOCALENAME ; \
	  msgfmt $$file -o `echo $$file |sed 's/\.po$$/.mo/g'`; \
	done

install:
	$(MAKE) fix-po-files
	$(MAKE) mo
	files='$(POFILES)'; \
	for file in $$files;do \
	  LOCALENAME=`echo $$file |sed 's/\.po$$//g'`; \
	  echo installing $$LOCALENAME ; \
	  MOPATH=$(MODIR)/$$LOCALENAME/LC_MESSAGES; \
	  if [ ! -d $$MOPATH ] ;then  \
	     mkdir -p $$MOPATH; \
	  fi; \
	  cp $$LOCALENAME.mo $$MOPATH/$(PKGNAME).mo; \
	done
	$(MAKE) restitute-po-files

pot:
	xgettext --keyword=_ --keyword=N_ $(POTFILES) -o $(PKGNAME).pot

merge:
	for i in *.po;do \
	   NN=`echo $$i |sed "s/\.po$$//g"` ;\
	   echo $$i $$NN ;\
	   msgmerge $$i $(PKGNAME).pot -o $$i.tmp.$$ && mv -vf $$i.tmp.$$ $$i;\
	done

clean:
	rm -fv *.mo

distclean: clean

distdir:

=== debian/changelog ===
eject (2.1.4-1) unstable; urgency=low

  * new upstream release

 -- Jeff Tranter <tranter@pobox.com>  Sat, 10 Dec 2005 19:10:00 +0500

eject (2.1.3-1) unstable; urgency=low

  * new upstream release

 -- Jeff Tranter <tranter@pobox.com>  Sat,  1 Oct 2005 15:55:00 +0400

eject (2.1.2-1) unstable; urgency=low

  * new upstream release

 -- Jeff Tranter <tranter@pobox.com>  Wed, 24 Aug 2005 20:15:00 +0400

eject (2.1.1-1) unstable; urgency=low

  * new upstream release

 -- Jeff Tranter <tranter@pobox.com>  Tue, 23 Aug 2005 20:14:00 +0400

eject (2.1.0-1) unstable; urgency=low

  * new upstream release

 -- Jeff Tranter <tranter@pobox.com>  Sun,  1 May 2005 14:44:00 +0400

eject (2.0.13deb-8sarge2) unstable; urgency=low

  * po/es.po: Added translation of packages' gettext strings
    by Daniel Franganillo (Closes: #295743)

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 27 Feb 2005 00:55:42 +0100

eject (2.0.13deb-8sarge1) unstable; urgency=low

  * debian/po/it.po: Added translation by Stefano Melchior
    (Closes: #279014)
  * volname.1: Document the fact that volname works on normal files, too
  * README: Fix a typo

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 25 Jan 2005 16:48:12 +0100

eject (2.0.13deb-8) unstable; urgency=low

  * eject.c: Don't try to eject /cdrom anymore, this location is
    deprecated (support for /media was already added in -4)
  * eject.1: Forgot to mention /media at one place in man page
  * Both changes together should avoid any unexpected and undocumented
    behaviour (Closes: #271527), thanx to Helge Kreutzmann for
    alerting me to the problem

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 10 Oct 2004 20:13:29 +0200

eject (2.0.13deb-7) unstable; urgency=low

  * debian/po/cs.po: Added translation by
    Jan Outrata (Closes: #260378)
  * debian/control: Add other console based CD-ROM drive control
    programs to Suggests: cdtool and setcd (Closes: #252372)
    Thanks to Jari Aalto for the suggestion.
  
 -- Frank Lichtenheld <djpig@debian.org>  Tue, 20 Jul 2004 21:10:26 +0200

eject (2.0.13deb-6) unstable; urgency=low

  * Acknowledge NMU.
  * debian/po/ja.po: Added translation by Hideki Yamane
    (Closes: #251465)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 28 May 2004 21:15:47 +0200

eject (2.0.13deb-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Encode udeb templates in UTF-8 (closes: #251203).

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 May 2004 08:46:48 -0300

eject (2.0.13deb-5) unstable; urgency=low

  * debian/po/fr.po: Added translation by Christian Perrier
    (Closes: #249238)
  * debian/po/nl.po: Added translation by Luk Claes
    (Closes: #250662)
  * eject.1: Correct minus/hyphens in --no-unmount patch

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 16 May 2004 13:54:32 +0200

eject (2.0.13deb-4) unstable; urgency=low

  * eject.c: 
    + Add patch by Bastian Kleineidam <calvin@debian.org>
      to check return values of malloc, regcomp, close and fclose
      (Closes: #214705)
    + also try /media/, order is now /dev/, /media/, /mnt/
    + fix fstab patch that lost the gettextization of a string
  * eject.1: document /media/ change
  * po/eject.pot,po/de_DE.po: Update pot files and German translation
  * debian/watch: add watch file
  * debian/copyright: remove superfluous colon from upstream URL
  * debian/po/pt_BR.po: Added translation by Andre Luis Lopes
    (Closes: #248779)

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 13 May 2004 13:35:37 +0200

eject (2.0.13deb-3) unstable; urgency=low

  * debian/control: Change section of eject-udeb to debian-installer.
  * eject.1: Fix hyphen vs. minus mistakes.
  * eject.c, eject.1: Add patch by Bastian Kleineidam <calvin@debian.org>
    for a new -m, --no-unmount option (Closes: #227348)

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 27 Apr 2004 21:37:32 +0200

eject (2.0.13deb-2) unstable; urgency=low

  * debian/rules,debian/control,debhelper/compat: debhelperize
  * debian/control,debian/rules: add eject-udeb package on
    request of Sven Luther (Closes: #243166)
  * debian/rules: install more docs (AUTHORS, NEWS, TODO)

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 11 Apr 2004 21:46:59 +0200

eject (2.0.13deb-1) unstable; urgency=low

  * New orig tarball without debian/ directory
    to get rid of debian/files and debian/substvars
  * Also delete debian/dirs as we don't need it, too

 -- Frank Lichtenheld <djpig@debian.org>  Wed, 17 Mar 2004 16:27:40 +0100

eject (2.0.13-5) unstable; urgency=low

  * debian/copyright: Improve the copyright file a lot
  * eject.c, volname.c: Update the FSF address

 -- Frank Lichtenheld <djpig@debian.org>  Mon,  1 Mar 2004 02:20:47 +0100

eject (2.0.13-4) unstable; urgency=low

  * New maintainer (closes: #227776)
  * Acknowledge NMU (closes: #214044, #214558)
  * eject.1: Fix typos in manpage (closes: #221299)
  * debian/rules: change the /cdrom patch to let
    eject and volname behave as documented
     + volname.c: add prefix "/dev/" to DEVICEDEFAULT since
       the manpage claims that it should do that (closes: #219735)
     + eject.c: also try "/cdrom" if device is "cdrom" to
       cover /cdrom (I'm not so convinced about supporting this at
      all, perhaps I will restore the upstream behaviour)
  * debian/rules: Clean up. Support DEB_BUILD_OPTS.
  * debian/control: Bump Standards-Version to 3.6.1

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 20 Jan 2004 22:07:43 +0100

eject (2.0.13-3.1) unstable; urgency=low

  * NMU
  * Fix gettext build dependency. (closes: #214044)
  * Add #include <stdlib.h> to volname.c.

 -- Lukas Geyer <lukas@debian.org>  Wed,  8 Oct 2003 02:09:28 -0400

eject (2.0.13-3) unstable; urgency=low

  * Declare gettext build dependency. (closes: #214044)

 -- Martin Mitchell <martin@debian.org>  Sat,  4 Oct 2003 17:57:11 +1000

eject (2.0.13-2) unstable; urgency=low

  * Update to standards version 3.6.1. (closes: #102448)
  * Enable /cdrom as the default device. (closes: #173419)


=== debian/control ===
Source: eject
Section: utils
Priority: optional
Build-Depends: gettext, debhelper (>= 4.2)
Maintainer: Frank Lichtenheld <djpig@debian.org>
Standards-Version: 3.6.1

Package: eject
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cdtool, setcd
Description: ejects CDs and operates CD-Changers under Linux
 This little program will eject CD-ROMs (assuming your drive supports
 the CDROMEJECT ioctl). It also allows setting the autoeject feature,
 currently supported by a number of the Linux CD-ROM drivers. See the
 documentation in /usr/src/linux/Documentation for more information on
 the autoeject feature.
 .
 On supported ATAPI/IDE multi-disc CD-ROM changers, it allows changing
 the active disc.

Package: eject-udeb
Section: debian-installer
XC-Package-Type: udeb
XB-Installer-Menu-Item: 960
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ejects CDs from d-i menu

=== debian/watch ===
version=2
http://www.ibiblio.org/pub/Linux/utils/disk-management/eject-(.*)\.tar\.gz
